config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
( cd usr/lib ; rm -rf libcrypto.so )
( cd usr/lib ; ln -sf libcrypto.so.0.9.8 libcrypto.so )
( cd usr/lib ; rm -rf libcrypto.so.0 )
( cd usr/lib ; ln -sf libcrypto.so.0.9.8 libcrypto.so.0 )
( cd usr/lib ; rm -rf libssl.so )
( cd usr/lib ; ln -sf libssl.so.0.9.8 libssl.so )
( cd usr/lib ; rm -rf libcrypto.so.0.9.8 )
( cd usr/lib ; ln -sf ../../lib/libcrypto.so.0.9.8 libcrypto.so.0.9.8 )
( cd usr/lib ; rm -rf libssl.so.0 )
( cd usr/lib ; ln -sf libssl.so.0.9.8 libssl.so.0 )
( cd usr/lib ; rm -rf libssl.so.0.9.8 )
( cd usr/lib ; ln -sf ../../lib/libssl.so.0.9.8 libssl.so.0.9.8 )
( cd lib ; rm -rf libcrypto.so.0 )
( cd lib ; ln -sf libcrypto.so.0.9.8 libcrypto.so.0 )
( cd lib ; rm -rf libssl.so.0 )
( cd lib ; ln -sf libssl.so.0.9.8 libssl.so.0 )
